Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.ui.actions.triple
Interface TripleAction

All Superinterfaces:
  IconOwner

All Known Implementing Classes:
  AbstractTripleAction, DeleteTripleAction, QueryTripleAction

    public interface TripleAction

extends IconOwner

An object representing an "action" that can be performed on a given Triple. Instances of this class can be added to context menus of single property values. A typical use case for this is to add right-click menu items to the TriplesTable.

Author:
  Holger Knublauch

Method Summary
`String` | `getGroup()` Gets an (optional) group name, allowing tools to display action items in groups.
`String` | `getName()` Gets the name of the action to appear on screen.
`boolean` | `isSuitable(Triple triple)` Tests if this action can be applied to a given Triple.
`void` | `run(Triple triple)` Performs the action to a given Triple.

Methods inherited from interface edu.stanford.smi.protegex.owl.ui.actions.IconOwner
`getIconFileName, getIconResourceClass`

Method Detail

### getGroup

    String getGroup()

  Gets an (optional) group name, allowing tools to display action items in groups.

  Returns:
    a group name or null

### getName

    String getName()

  Gets the name of the action to appear on screen.

  Returns:
    the name of this action (should not be null)

### isSuitable

    boolean isSuitable(Triple triple)

  Tests if this action can be applied to a given Triple.

  Parameters:
    `triple` - the Triple to apply this to
  Returns:
    true if this can be applied to triple

### run

    void run(Triple triple)

  Performs the action to a given Triple.

  Parameters:
    `triple` - the Triple to operate on

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.